# VectorDataSetField

## Brief Description

Set a field in vector data.

## Tags

Vector Data Manipulation

## Long Description

Set a specified field to a specified value on all features of a vector data.

## Parameters

- [param] -in <string> Input Vector Data. Mandatory: True. Default Value: ""
- [param] -out <string> Output Vector Data. Mandatory: True. Default Value: ""
- [param] -fn <string> Field name. Mandatory: True. Default Value: ""
- [param] -fv <string> Field value. Mandatory: True. Default Value: ""
- [param] -inxml <string> Load otb application from xml file. Mandatory: False. Default Value: ""
- [param] -outxml <string> Save otb application to xml file. Mandatory: False. Default Value: ""

## Limitations

Doesn't work with KML files yet

## Authors

OTB-Team

## See Also

## Example of use

- in: qb_RoadExtract_classification.shp

- out: VectorDataSetField.shp

- fn: Info

- fv: Sample polygon